Bug 147358 - Installer crashes on lvcreate (lvcreate failed for %s)
Installer crashes on lvcreate (lvcreate failed for %s)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
:
: 150831 160255 161263 167410 168672 172681 172902 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 11:22 EST by Tom Arnold
Modified: 2009-04-21 07:27 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 01:32:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete error dump (739.06 KB, text/plain)
2005-05-03 21:30 EDT, elfmanpdx
no flags Details

  None (edit)
Description Tom Arnold 2005-02-07 11:22:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/125.5.6 (KHTML, like Gecko) Safari/125.12

Description of problem:
From Traceback output

File "/usr/src/build475969i386/install//usr/lib/anaconda/fsset.py", line 1432, in createLogicalVolumes entry.device.setupDevice(chroot)
File "/usr/src/build/475696-i386/install//usr/lib/anaconda/fsset.py",line 2051, in setupDevice raise SystemError, "lvcreate failed for %s" %(self.name,)
SystemError: lvcreate failed for LogVol00

The system will install in some cases when the automatic partitioning is selected. Any manual changes in disk druid to the partition table seems to result in this error. 

Two disks are present in the system: /dev/hda is 40GB and /dev/hdb is 200GB on the same IDE controller/cable

This problem presents itself whether or not one of the disks is removed. The system has successfully once using an automatic partitioning with logical volumes. Unfortunately, upon reinstall, each attempt and configuration has failed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Complete disk druid for automatic install
2. Use disk druid interface to create a primary partition for /home of 100GB on /dev/hdb
3. Select server packages with ftp
4. Start install
5. Anaconda display states -- formatting disk
6. "Exception ocurred"
    

Additional info:
Comment 1 Jeremy Katz 2005-02-09 11:31:51 EST
Can you please provide the full traceback you received?
Comment 2 elfmanpdx 2005-05-03 21:30:06 EDT
Created attachment 113991 [details]
complete error dump
Comment 3 elfmanpdx 2005-05-03 21:36:15 EDT
Comment on attachment 113991 [details]
complete error dump

I appear to be encountering the same problem during attempts to install as a
second OS on a machine that already runs Windows XP.  Trying to install Fedora
on a new and completely empty second hard drive.  Install fails with attached
error dump
Comment 4 Matthew Velie 2005-06-14 20:38:53 EDT
I just got this same problem using core 4.  Tried it two different times, one
manually doing the partitions, and one just by letting anaconda do it itself.
Traceback
File "usr/lib/anaconda/gui.py", line 1137, in handleRenderCallback
self.currentWindow.renderCallback()
File "usr/lib/anaconda/iq/progress_gui.py", line 244, in renderCallback
self.intf.icw.nextClicked()
File "usr/lib/anaconda/gui.py", line 873, in nextClicked self.dispatch.gotoNext()
File "usr/lib/anaconda/dispatch.py", line 174, in gotoNext
self.moveStep()
File "usr/lib/anaconda/disptach.py", line 242, in moveStep
rc = apply(func, self.bindArgs(args))
File "usr/lib/anaconda/packages.py", line 582, in turnOnFilesystems
thefsset.createLogicalVolumes(instPath)
File "usr/lib/anaconda/fsset.py", line 1477, in createLogicalVolumes
entry.device.setupDevice(chroot)
File "usr/lib/anaconda/fsset.py" line 2131, in setupDevice
raise SystemError, "lvcreate failed for %s" %(self.name,)
SystemError: lvcreate failed for LogVol00


(In reply to comment #0)
> From Bugzilla Helper:
> User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us)
AppleWebKit/125.5.6 (KHTML, like Gecko) Safari/125.12
> 
> Description of problem:
> From Traceback output
> 
> File "/usr/src/build475969i386/install//usr/lib/anaconda/fsset.py", line 1432,
in createLogicalVolumes entry.device.setupDevice(chroot)
> File "/usr/src/build/475696-i386/install//usr/lib/anaconda/fsset.py",line
2051, in setupDevice raise SystemError, "lvcreate failed for %s" %(self.name,)
> SystemError: lvcreate failed for LogVol00
> 
> The system will install in some cases when the automatic partitioning is
selected. Any manual changes in disk druid to the partition table seems to
result in this error. 
> 
> Two disks are present in the system: /dev/hda is 40GB and /dev/hdb is 200GB on
the same IDE controller/cable
> 
> This problem presents itself whether or not one of the disks is removed. The
system has successfully once using an automatic partitioning with logical
volumes. Unfortunately, upon reinstall, each attempt and configuration has failed.
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Complete disk druid for automatic install
> 2. Use disk druid interface to create a primary partition for /home of 100GB
on /dev/hdb
> 3. Select server packages with ftp
> 4. Start install
> 5. Anaconda display states -- formatting disk
> 6. "Exception ocurred"
>     
> 
> Additional info:

Comment 5 Chris Lumens 2005-06-21 17:14:48 EDT
*** Bug 150831 has been marked as a duplicate of this bug. ***
Comment 6 Chris Lumens 2005-06-21 17:15:04 EDT
*** Bug 161263 has been marked as a duplicate of this bug. ***
Comment 7 Denis Beauchemin 2005-06-29 16:03:10 EDT
I get the same error message with RHEL4 and kickstart.  I have one SCSI disk and
the following in ks.cfg:
clearpart --all --initlabel
part /boot --fstype ext3 --size=1000 --ondisk=sda --asprimary
part swap --size=2000 --ondisk=sda --asprimary
part pv.4 --size=1 --grow --ondisk=sda --asprimary
volgroup vg0 --pesize=32768 pv.4
logvol /            --fstype ext3 --name=lv00 --vgname=vg0 --size=5000
logvol /var         --fstype ext3 --name=lv01 --vgname=vg0 --size=5000
logvol /tmp         --fstype ext3 --name=lv02 --vgname=vg0 --size=1000
logvol /home        --fstype ext3 --name=lv03 --vgname=vg0 --size=10000 --grow

It dies with:
SystemError: lvcreate failed for lv01
Comment 8 Arlen Abraham 2005-07-07 20:58:33 EDT
Workaround:

Boot with a Knoppix CD, use the partitioning tool to wipe out the partitions,
then go back and install Fedora.
Comment 9 Tim Jackson 2005-09-17 15:24:22 EDT
I've seen the same. FC4 on a system which had previously been configured with
two partitions: one (20GB) an NT4 one and a second (20GB) with ext3 (no LVM) and
FC3 installed (an upgrade from FC2).

Full traceback I got:

File "/usr/lib/anaconda/gui.py", line 1137, in handleRenderCallback
 self.currentWindow.renderCallback()
File "/usr/lib/anaconda/iw/progress_gui.py", line 244, in renderCallback
 self.intf.icw.nextClicked()
File "/usr/lib/anaconda/gui.py", line 873, in nextClicked
 self.dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py", line 174, in gotoNext
 self.moveStep()
File "/usr/lib/anaconda/dispatch.py", line 242, in moveStep
 rc = apply(func, self.bindArgs(args))
File "/usr/lib/anaconda/packages.py", line 582, in turnOnFilesystems
 thefsset.createLogicalVolumes(instPath)
File "/usr/lib/anaconda/fsset.py", line 1477, in createLogicalVolumes
 entry.device.setupDevice(chroot)
File "/usr/lib/anaconda/fsset.py", line 2131, in setupDevice
 raise SystemError, "lvcreate failed for %2" %(self.name,)
SystemError: lvcreate failed for Logvol00

Like others, I tried first with some manual adjustments and secondly letting
anaconda choose the partitions itself with no manual configuration.
Comment 11 Jeremy Katz 2005-09-19 14:00:05 EDT
*** Bug 167410 has been marked as a duplicate of this bug. ***
Comment 12 Jeremy Katz 2005-09-20 17:53:24 EDT
*** Bug 168672 has been marked as a duplicate of this bug. ***
Comment 13 Ken Nguyen 2005-09-27 02:33:35 EDT
(In reply to comment #8)
> Workaround:
> 
> Boot with a Knoppix CD, use the partitioning tool to wipe out the partitions,
> then go back and install Fedora.

Thanks for the solution. I just wanted to add that this can also be accomplish
with the fdisk utility on the FC4 DVD/CD instead of the Knoppix disk utility.

Here's what I did.

Once the GUI installer started up:
1. Press Ctrl+Alt+F3 or F4 to get to a prompt.
2. At the prompt, type /usr/sbin/fdisk /dev/sda (or whatever your disk is)
3. delete all partitions (d #)
4. type w to write it out to disk.
5. Press Ctrl+Alt+F7 to return to the installer and continue with the install
process.

-Ken
Comment 14 Jeremy Katz 2005-10-03 13:54:38 EDT
*** Bug 160255 has been marked as a duplicate of this bug. ***
Comment 15 Robin Green 2005-10-04 19:14:49 EDT
This bug is reproducable if: you start with a partition table that's different
to the partition table you choose to install onto, but has the same number of
partitions, and the partition (e.g. /dev/sda2) that will hold the physical
volume is a lot smaller in the *old* partition table than in the *new* partition
table.

Therefore, I believe this is actually a duplicate of bug 160693.

Also, a workaround that works fine is just "try again in the exact same way as
you tried to install before". This is consistent with bug 160693 being the root
cause here.
Comment 16 Robin Green 2005-10-04 19:24:56 EDT
Oh, I forgot to mention - my best evidence for this theory is that the pvcreate
actually creates the physical volume with the wrong size - the exact size that
the corresponding partition in the *old* partition table was. (Of course if you
look at the partition table with fdisk, everything looks OK, because the
partition table on disk does get updated correctly.)
Comment 17 Michael Mouer 2005-10-12 15:47:18 EDT
The workaround in comment #13 worked for me.
Comment 18 Jeremy Katz 2005-11-11 23:19:31 EST
*** Bug 172681 has been marked as a duplicate of this bug. ***
Comment 19 Jeremy Katz 2005-11-11 23:25:08 EST
*** Bug 172902 has been marked as a duplicate of this bug. ***
Comment 20 Jeff Epler 2006-09-12 09:11:41 EDT
What information is this bug waiting for?  I see that several people have
provided tracebacks, and there's a "complete error dump" attached to the report
and at least one more in a Duplicate bug.
Comment 21 petrosyan 2008-02-15 01:32:08 EST
Fedora Core 4 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 22 Sam Elstob 2009-04-21 07:27:13 EDT
This is pretty dumb but I've been getting this error for the last day installing Red Hat 4.7 using kickstart onto a VM (Virtual Box 2.1.4 running on my Fedora 10 x84_64)

Here is the partition kickstart info for the Red Hat 4.7 install:

# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
clearpart --all --initlabel
part /boot --fstype ext3 --size=100
part pv.2 --size=0 --grow
volgroup Raid10local  pv.2
logvol / --fstype ext3 --name=root --vgname=Raid10local --size=10240
logvol swap --fstype swap --name=swap --vgname=Raid10local --size=4096
logvol /var --fstype ext3 --name=var --vgname=Raid10local --size=10240
logvol /opt --fstype ext3 --name=opt --vgname=Raid10local --size=10240 --grow

I kept getting the above stack trace e.g.

File "/usr/lib/anaconda/fsset.py", line 2131, in setupDevice
 raise SystemError, "lvcreate failed for %2" %(self.name,)
SystemError: lvcreate failed for Logvol00

In the end it I realised it was simply because the disk wasn't large enough for all the partitions - doh!

e.g. 20GB disk gives the stack trace, 50GB is fine

Perhaps a better error message is needed for when the requested partition sizes exceeds the disk capacity (or physical volume capacity).

This ties in with comment #15 and #16 where the PV has been created too small due to the old partition table being reused.

Note You need to log in before you can comment on or make changes to this bug.